"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TemporalNamespace = void 0;
const aws_cdk_lib_1 = require("aws-cdk-lib");
const constructs_1 = require("constructs");
const TemporalNamespaceProvider_1 = require("./TemporalNamespaceProvider");
class TemporalNamespace extends constructs_1.Construct {
    constructor(cluster, name) {
        super(cluster, `Namespace-${name}`);
        const provider = TemporalNamespaceProvider_1.TemporalNamespaceProvider.getOrCreate(cluster);
        const resource = new aws_cdk_lib_1.CustomResource(this, 'Resource', {
            serviceToken: provider,
            resourceType: 'Custom::TemporalNamespace',
            properties: {
                TemporalHost: cluster.host,
                NamespaceName: name,
            },
        });
        resource.node.addDependency(cluster.services.frontend.fargateService);
        this.name = name;
    }
}
exports.TemporalNamespace = TemporalNamespace;
//# sourceMappingURL=TemporalNamespace.js.map